zenilib: zenilib/jni/external/libpng/pngwrite.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngwrite.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

void PNGAPI | png_convert_from_struct_tm (png_timep ptime, PNG_CONST struct tm FAR *ttime)
void PNGAPI | png_convert_from_time_t (png_timep ptime, time_t ttime)
void PNGAPI | png_destroy_write_struct (png_structpp png_ptr_ptr, png_infopp info_ptr_ptr)
| PNG_FUNCTION (png_structp, PNGAPI png_create_write_struct,(png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn), PNG_ALLOCATED)
| PNG_FUNCTION (png_structp, PNGAPI png_create_write_struct_2,(png_const_charp user_png_ver, png_voidp error_ptr, png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn), PNG_ALLOCATED)
static int | png_init_filter_heuristics (png_structp png_ptr, int heuristic_method, int num_weights)
static void | png_reset_filter_heuristics (png_structp png_ptr)
void PNGAPI | png_set_compression_level (png_structp png_ptr, int level)
void PNGAPI | png_set_compression_mem_level (png_structp png_ptr, int mem_level)
void PNGAPI | png_set_compression_method (png_structp png_ptr, int method)
void PNGAPI | png_set_compression_strategy (png_structp png_ptr, int strategy)
void PNGAPI | png_set_compression_window_bits (png_structp png_ptr, int window_bits)
void PNGAPI | png_set_filter (png_structp png_ptr, int method, int filters)
void PNGAPI | png_set_filter_heuristics (png_structp png_ptr, int heuristic_method, int num_weights, png_const_doublep filter_weights, png_const_doublep filter_costs)
void PNGAPI | png_set_filter_heuristics_fixed (png_structp png_ptr, int heuristic_method, int num_weights, png_const_fixed_point_p filter_weights, png_const_fixed_point_p filter_costs)
void PNGAPI | png_set_flush (png_structp png_ptr, int nrows)
void PNGAPI | png_set_text_compression_level (png_structp png_ptr, int level)
void PNGAPI | png_set_text_compression_mem_level (png_structp png_ptr, int mem_level)
void PNGAPI | png_set_text_compression_method (png_structp png_ptr, int method)
void PNGAPI | png_set_text_compression_strategy (png_structp png_ptr, int strategy)
void PNGAPI | png_set_text_compression_window_bits (png_structp png_ptr, int window_bits)
void PNGAPI | png_set_write_status_fn (png_structp png_ptr, png_write_status_ptr write_row_fn)
void PNGAPI | png_set_write_user_transform_fn (png_structp png_ptr, png_user_transform_ptr write_user_transform_fn)
void | png_write_destroy (png_structp png_ptr)
void PNGAPI | png_write_end (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_write_flush (png_structp png_ptr)
void PNGAPI | png_write_image (png_structp png_ptr, png_bytepp image)
void PNGAPI | png_write_info (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_write_info_before_PLTE (png_structp png_ptr, png_infop info_ptr)
void PNGAPI | png_write_png (png_structp png_ptr, png_infop info_ptr, int transforms, voidp params)
void PNGAPI | png_write_row (png_structp png_ptr, png_const_bytep row)
void PNGAPI | png_write_rows (png_structp png_ptr, png_bytepp row, png_uint_32 num_rows)

## Function Documentation

void PNGAPI png_convert_from_struct_tm | ( | png_timep | ptime,
|  | PNG_CONST struct tm FAR * | ttime
| ) |  |

Definition at line 420 of file pngwrite.c.

References png_debug.

Referenced by png_convert_from_time_t().

void PNGAPI png_convert_from_time_t | ( | png_timep | ptime,
|  | time_t | ttime
| ) |  |

Definition at line 433 of file pngwrite.c.

References png_convert_from_struct_tm(), and png_debug.

void PNGAPI png_destroy_write_struct | ( | png_structpp | png_ptr_ptr,
|  | png_infopp | info_ptr_ptr
| ) |  |

Definition at line 876 of file pngwrite.c.

References NULL, png_debug, png_destroy_struct(), png_destroy_struct_2(), png_free(), PNG_FREE_ALL, png_free_data(), and png_write_destroy().

Referenced by test_one_file().

PNG_FUNCTION | ( | png_structp | ,
|  | PNGAPI | png_create_write_struct,
|  | (png_const_charp user_png_ver, png_voidp error_ptr,png_error_ptr error_fn, png_error_ptr warn_fn) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 445 of file pngwrite.c.

References NULL.

PNG_FUNCTION | ( | png_structp | ,
|  | PNGAPI | png_create_write_struct_2,
|  | (png_const_charp user_png_ver, png_voidp error_ptr,png_error_ptr error_fn, png_error_ptr warn_fn, png_voidp mem_ptr,png_malloc_ptr malloc_fn, png_free_ptr free_fn) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 457 of file pngwrite.c.

References NULL, PNG_ABORT, png_debug, png_destroy_struct(), png_destroy_struct_2(), png_free(), png_jmpbuf, png_memcpy, png_reset_filter_heuristics(), png_set_error_fn(), png_set_mem_fn(), png_set_write_fn(), png_sizeof, PNG_STRUCT_PNG, PNG_USER_HEIGHT_MAX, png_user_version_check(), PNG_USER_WIDTH_MAX, and PNG_ZBUF_SIZE.

static int png_init_filter_heuristics | ( | png_structp | png_ptr,
|  | int | heuristic_method,
|  | int | num_weights
| ) |  |

static

Definition at line 1179 of file pngwrite.c.

References i, NULL, PNG_COST_FACTOR, PNG_FILTER_HEURISTIC_DEFAULT, PNG_FILTER_HEURISTIC_UNWEIGHTED, PNG_FILTER_HEURISTIC_WEIGHTED, PNG_FILTER_VALUE_LAST, png_reset_filter_heuristics(), png_sizeof, png_warning(), and PNG_WEIGHT_FACTOR.

Referenced by png_set_filter_heuristics(), and png_set_filter_heuristics_fixed().

static void png_reset_filter_heuristics | ( | png_structp | png_ptr | ) |

static

Definition at line 1146 of file pngwrite.c.

References NULL, PNG_FILTER_HEURISTIC_UNWEIGHTED, and png_free().

Referenced by PNG_FUNCTION(), png_init_filter_heuristics(), and png_write_destroy().

void PNGAPI png_set_compression_level | ( | png_structp | png_ptr,
|  | int | level
| ) |  |

Definition at line 1383 of file pngwrite.c.

References NULL, png_debug, and PNG_FLAG_ZLIB_CUSTOM_LEVEL.

void PNGAPI png_set_compression_mem_level | ( | png_structp | png_ptr,
|  | int | mem_level
| ) |  |

Definition at line 1395 of file pngwrite.c.

References NULL, png_debug, and PNG_FLAG_ZLIB_CUSTOM_MEM_LEVEL.

void PNGAPI png_set_compression_method | ( | png_structp | png_ptr,
|  | int | method
| ) |  |

Definition at line 1447 of file pngwrite.c.

References NULL, png_debug, PNG_FLAG_ZLIB_CUSTOM_METHOD, and png_warning().

void PNGAPI png_set_compression_strategy | ( | png_structp | png_ptr,
|  | int | strategy
| ) |  |

Definition at line 1407 of file pngwrite.c.

References NULL, png_debug, and PNG_FLAG_ZLIB_CUSTOM_STRATEGY.

void PNGAPI png_set_compression_window_bits | ( | png_structp | png_ptr,
|  | int | window_bits
| ) |  |

Definition at line 1422 of file pngwrite.c.

References NULL, PNG_FLAG_ZLIB_CUSTOM_WINDOW_BITS, and png_warning().

void PNGAPI png_set_filter | ( | png_structp | png_ptr,
|  | int | method,
|  | int | filters
| ) |  |

Definition at line 1011 of file pngwrite.c.

References NULL, PNG_ALL_FILTERS, png_debug, png_error(), PNG_FILTER_AVG, PNG_FILTER_NONE, PNG_FILTER_PAETH, PNG_FILTER_SUB, PNG_FILTER_TYPE_BASE, PNG_FILTER_UP, PNG_FILTER_VALUE_AVG, PNG_FILTER_VALUE_NONE, PNG_FILTER_VALUE_PAETH, PNG_FILTER_VALUE_SUB, PNG_FILTER_VALUE_UP, PNG_FLAG_MNG_FILTER_64, PNG_INTRAPIXEL_DIFFERENCING, PNG_NO_FILTERS, and png_warning().

void PNGAPI png_set_filter_heuristics | ( | png_structp | png_ptr,
|  | int | heuristic_method,
|  | int | num_weights,
|  | png_const_doublep | filter_weights,
|  | png_const_doublep | filter_costs
| ) |  |

Definition at line 1262 of file pngwrite.c.

References i, PNG_COST_FACTOR, png_debug, PNG_FILTER_HEURISTIC_WEIGHTED, png_init_filter_heuristics(), and PNG_WEIGHT_FACTOR.

void PNGAPI png_set_filter_heuristics_fixed | ( | png_structp | png_ptr,
|  | int | heuristic_method,
|  | int | num_weights,
|  | png_const_fixed_point_p | filter_weights,
|  | png_const_fixed_point_p | filter_costs
| ) |  |

Definition at line 1317 of file pngwrite.c.

References i, PNG_COST_FACTOR, png_debug, PNG_FILTER_HEURISTIC_WEIGHTED, PNG_FILTER_VALUE_LAST, PNG_FP_1, PNG_FP_HALF, png_init_filter_heuristics(), and PNG_WEIGHT_FACTOR.

void PNGAPI png_set_flush | ( | png_structp | png_ptr,
|  | int | nrows
| ) |  |

Definition at line 811 of file pngwrite.c.

References NULL, and png_debug.

void PNGAPI png_set_text_compression_level | ( | png_structp | png_ptr,
|  | int | level
| ) |  |

Definition at line 1464 of file pngwrite.c.

References NULL, png_debug, and PNG_FLAG_ZTXT_CUSTOM_LEVEL.

void PNGAPI png_set_text_compression_mem_level | ( | png_structp | png_ptr,
|  | int | mem_level
| ) |  |

Definition at line 1476 of file pngwrite.c.

References NULL, png_debug, and PNG_FLAG_ZTXT_CUSTOM_MEM_LEVEL.

void PNGAPI png_set_text_compression_method | ( | png_structp | png_ptr,
|  | int | method
| ) |  |

Definition at line 1528 of file pngwrite.c.

References NULL, png_debug, PNG_FLAG_ZTXT_CUSTOM_METHOD, and png_warning().

void PNGAPI png_set_text_compression_strategy | ( | png_structp | png_ptr,
|  | int | strategy
| ) |  |

Definition at line 1488 of file pngwrite.c.

References NULL, png_debug, and PNG_FLAG_ZTXT_CUSTOM_STRATEGY.

Referenced by test_one_file().

void PNGAPI png_set_text_compression_window_bits | ( | png_structp | png_ptr,
|  | int | window_bits
| ) |  |

Definition at line 1503 of file pngwrite.c.

References NULL, PNG_FLAG_ZTXT_CUSTOM_WINDOW_BITS, and png_warning().

void PNGAPI png_set_write_status_fn | ( | png_structp | png_ptr,
|  | png_write_status_ptr | write_row_fn
| ) |  |

Definition at line 1545 of file pngwrite.c.

References NULL.

Referenced by test_one_file().

void PNGAPI png_set_write_user_transform_fn | ( | png_structp | png_ptr,
|  | png_user_transform_ptr | write_user_transform_fn
| ) |  |

Definition at line 1555 of file pngwrite.c.

References NULL, png_debug, and PNG_USER_TRANSFORM.

Referenced by test_one_file().

void png_write_destroy | ( | png_structp | png_ptr | ) |

Definition at line 941 of file pngwrite.c.

References deflateEnd(), png_debug, png_free(), png_memcpy, png_memset, png_reset_filter_heuristics(), and png_sizeof.

Referenced by png_destroy_write_struct().

void PNGAPI png_write_end | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 298 of file pngwrite.c.

References png_unknown_chunk_t::data, i, png_unknown_chunk_t::location, png_unknown_chunk_t::name, NULL, PNG_AFTER_IDAT, png_debug, png_debug2, png_error(), PNG_FLAG_KEEP_UNSAFE_CHUNKS, png_flush(), png_handle_as_unknown(), PNG_HANDLE_CHUNK_ALWAYS, PNG_HANDLE_CHUNK_NEVER, PNG_HAVE_IDAT, PNG_INFO_tIME, PNG_TEXT_COMPRESSION_NONE, PNG_TEXT_COMPRESSION_NONE_WR, PNG_TEXT_COMPRESSION_zTXt, PNG_TEXT_COMPRESSION_zTXt_WR, png_warning(), png_write_chunk(), png_write_IEND(), png_write_iTXt(), png_write_tEXt(), png_write_tIME(), png_write_zTXt(), PNG_WROTE_tIME, and png_unknown_chunk_t::size.

Referenced by png_write_png(), and test_one_file().

void PNGAPI png_write_flush | ( | png_structp | png_ptr | ) |

Definition at line 823 of file pngwrite.c.

References deflate(), NULL, png_debug, png_error(), png_flush(), png_write_IDAT(), ret, Z_OK, and Z_SYNC_FLUSH.

Referenced by png_write_filtered_row().

void PNGAPI png_write_image | ( | png_structp | png_ptr,
|  | png_bytepp | image
| ) |  |

Definition at line 578 of file pngwrite.c.

References i, NULL, png_debug, png_set_interlace_handling(), and png_write_row().

Referenced by png_write_png().

void PNGAPI png_write_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 122 of file pngwrite.c.

References png_unknown_chunk_t::data, i, int, j, png_unknown_chunk_t::location, png_unknown_chunk_t::name, NULL, PNG_AFTER_IDAT, PNG_COLOR_TYPE_PALETTE, png_debug, png_debug2, png_error(), PNG_FLAG_KEEP_UNSAFE_CHUNKS, png_handle_as_unknown(), PNG_HANDLE_CHUNK_ALWAYS, PNG_HANDLE_CHUNK_NEVER, PNG_HAVE_IDAT, PNG_HAVE_PLTE, PNG_INFO_bKGD, PNG_INFO_hIST, PNG_INFO_oFFs, PNG_INFO_pCAL, PNG_INFO_pHYs, PNG_INFO_PLTE, PNG_INFO_sCAL, PNG_INFO_sPLT, PNG_INFO_tIME, PNG_INFO_tRNS, PNG_INVERT_ALPHA, PNG_TEXT_COMPRESSION_NONE, PNG_TEXT_COMPRESSION_NONE_WR, PNG_TEXT_COMPRESSION_zTXt, PNG_TEXT_COMPRESSION_zTXt_WR, png_warning(), png_write_bKGD(), png_write_chunk(), png_write_hIST(), png_write_info_before_PLTE(), png_write_iTXt(), png_write_oFFs(), png_write_pCAL(), png_write_pHYs(), png_write_PLTE(), png_write_sCAL_s(), png_write_sPLT(), png_write_tEXt(), png_write_tIME(), png_write_tRNS(), png_write_zTXt(), PNG_WROTE_tIME, and png_unknown_chunk_t::size.

Referenced by png_write_png(), and test_one_file().

void PNGAPI png_write_info_before_PLTE | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |  |

Definition at line 28 of file pngwrite.c.

References png_unknown_chunk_t::data, png_unknown_chunk_t::location, png_unknown_chunk_t::name, NULL, PNG_AFTER_IDAT, PNG_COMPRESSION_TYPE_BASE, png_debug, PNG_FLAG_KEEP_UNSAFE_CHUNKS, png_handle_as_unknown(), PNG_HANDLE_CHUNK_ALWAYS, PNG_HANDLE_CHUNK_NEVER, PNG_HAVE_IDAT, PNG_HAVE_PLTE, PNG_HAVE_PNG_SIGNATURE, PNG_INFO_cHRM, PNG_INFO_gAMA, PNG_INFO_iCCP, PNG_INFO_sBIT, PNG_INFO_sRGB, png_warning(), png_write_cHRM_fixed(), png_write_chunk(), png_write_gAMA_fixed(), png_write_iCCP(), png_write_IHDR(), PNG_WRITE_INTERLACING_SUPPORTED, png_write_sBIT(), png_write_sig(), png_write_sRGB(), PNG_WROTE_INFO_BEFORE_PLTE, and png_unknown_chunk_t::size.

Referenced by png_write_info().

void PNGAPI png_write_png | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int | transforms,
|  | voidp | params
| ) |  |

Definition at line 1571 of file pngwrite.c.

References NULL, PNG_FILLER_AFTER, PNG_FILLER_BEFORE, PNG_INFO_IDAT, PNG_INFO_sBIT, png_set_bgr(), png_set_filler(), png_set_invert_alpha(), png_set_invert_mono(), png_set_packing(), png_set_packswap(), png_set_shift(), png_set_swap(), png_set_swap_alpha(), PNG_TRANSFORM_BGR, PNG_TRANSFORM_INVERT_ALPHA, PNG_TRANSFORM_INVERT_MONO, PNG_TRANSFORM_PACKING, PNG_TRANSFORM_PACKSWAP, PNG_TRANSFORM_SHIFT, PNG_TRANSFORM_STRIP_FILLER_AFTER, PNG_TRANSFORM_STRIP_FILLER_BEFORE, PNG_TRANSFORM_SWAP_ALPHA, PNG_TRANSFORM_SWAP_ENDIAN, PNG_UNUSED, png_write_end(), png_write_image(), and png_write_info().

void PNGAPI png_write_row | ( | png_structp | png_ptr,
|  | png_const_bytep | row
| ) |  |

Definition at line 610 of file pngwrite.c.

References png_row_info_struct::bit_depth, png_row_info_struct::channels, png_row_info_struct::color_type, NULL, png_row_info_struct::pixel_depth, PNG_BGR, png_debug1, png_debug2, png_do_write_interlace(), png_do_write_intrapixel(), png_do_write_transformations(), png_error(), PNG_FILLER, PNG_FLAG_MNG_FILTER_64, PNG_INTERLACE, PNG_INTRAPIXEL_DIFFERENCING, PNG_INVERT_MONO, png_memcpy, PNG_PACK, PNG_PACKSWAP, PNG_ROWBYTES, PNG_SHIFT, PNG_SWAP_BYTES, png_warning(), png_write_find_filter(), png_write_finish_row(), png_write_start_row(), PNG_WROTE_INFO_BEFORE_PLTE, png_row_info_struct::rowbytes, and png_row_info_struct::width.

Referenced by png_write_image(), and png_write_rows().

void PNGAPI png_write_rows | ( | png_structp | png_ptr,
|  | png_bytepp | row,
|  | png_uint_32 | num_rows
| ) |  |

Definition at line 556 of file pngwrite.c.

References i, NULL, png_debug, and png_write_row().

Referenced by test_one_file().